.col.b-toggle.b-toggle-simple
  .row.align-items-center.no-gutters(@focusin='setHasFocus(true)' @focusout='setHasFocus(false)')
    InputError(:showErrors='inEdit' :errors='errors' :warnings='warnings')
  .custom-control.custom-switch
    input.custom-control-input(v-if="inEdit" ref='input' :id='id' :checked='editValue'
      :disabled="disabled" @click="toggle()" type='checkbox' v-bind="$attrs")
    input.custom-control-input(v-else ref='input' :id='id' :checked='value'
      disabled="disabled" type='checkbox')
    label.custom-control-label(:for='id')
      slot(name='label' v-bind='{ ...$props, ...$data }') {{ label }}
